import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;


public class borderLayout
{
	static class MyFrame extends JFrame
	{
		private static final long serialVersionUID = 1L;

		final JLabel text = new JLabel(); 
		
		MyFrame()
		{
			super("BorderLayout Beispiel");
			
			Container c = super.getContentPane(); 
			c.setLayout(new BorderLayout(10,10)); 
			
			c.add(new JButton("north"), BorderLayout.NORTH);
			c.add(new JButton("south"), BorderLayout.SOUTH);
			c.add(new JButton("west"), BorderLayout.WEST);
			c.add(new JButton("east"), BorderLayout.EAST);
			c.add(new JButton("center"), BorderLayout.CENTER);
		}
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); 
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				MyFrame f = new MyFrame();
				f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}			
		}
				
		);
	}
	
	
}