import java.awt.Container;
import java.awt.Dimension;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JRadioButton;
import javax.swing.JSpinner;
import javax.swing.JTextField;
import javax.swing.JToggleButton;
import javax.swing.SwingUtilities;


public class boxLayout
{
	static class MyFrame extends JFrame
	{
		private static final long serialVersionUID = 1L;

		
		MyFrame()
		{
			super("FlowLayout Beispiel");
			
			Container c = super.getContentPane(); 
			c.setLayout(new BoxLayout(c, BoxLayout.PAGE_AXIS)); // vertikales Boxlayout
			
			c.add(new JButton("Lorem Ipsum"));
			c.add(new JRadioButton("Lorem Ipsum"));
			c.add(new JCheckBox("Lorem Ipsum"));
			c.add(new JLabel("Lorem Ipsum"));
			c.add(new JToggleButton("Lorem Ipsum"));
			c.add(new JTextField("Lorem Ipsum"));
			c.add(new JSpinner());
			
			c.add(new Box.Filler(new Dimension(50,50), new Dimension(75,75), new Dimension(100,100)));
			
			c.add(new JButton("Lorem Ipsum"));
			c.add(new JRadioButton("Lorem Ipsum"));
			c.add(new JCheckBox("Lorem Ipsum"));
			c.add(new JLabel("Lorem Ipsum"));
			c.add(new JToggleButton("Lorem Ipsum"));
			c.add(new JTextField("Lorem Ipsum"));
			c.add(new JSpinner());
		}
		
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); 
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				MyFrame f = new MyFrame();
				f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}			
		}
				
		);
	}
	
	
}