import java.awt.Container;

import javax.swing.JFrame;
import javax.swing.JSpinner;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;

@SuppressWarnings("serial")
class Frame extends JFrame
{

	public Frame(String string) 
	{
		super(string);
		super.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // wird das Frame geschlossen, soll die Anwendung beendet werden
		
		Container c = super.getContentPane(); // c ist das Content Pane
		c.setLayout(null); // setzt auf kein Layout
		
		JTextField text = new JTextField("Gib was ein!"); // erstellt ein Textfeld
		text.setSize(100,100); // der Groesse 100x100
		text.setLocation(50,50); // bei (50,50)
		
		JSpinner zahl = new JSpinner(); // erstellt ein Zahlenfeld
		zahl.setSize(200,100);
		zahl.setLocation(300,50);
		c.add(text);
		c.add(zahl);
		super.pack();
		

	}
}

public class frame 
{	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); // setzt den Stil auf Standard
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				Frame f = new Frame("Hallo Welt");
				f.setVisible(true);
			}			
		}
				
		);
	}
}
