

import java.awt.Container;
import java.awt.GridLayout;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.util.Iterator;
import java.util.List;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JProgressBar;
import javax.swing.SwingUtilities;
import javax.swing.SwingWorker;


public class swingworker 
{
	
	static class MyFrame extends JFrame
	{
		private static final long serialVersionUID = 1L;

		
		class Arbeiter extends SwingWorker<String,Integer>
		{

			@Override
			protected String doInBackground() throws Exception {
				for(int i = 0; i < 100; ++i)
				{
					setProgress(i);
					Thread.sleep(10);
					publish(i);
				}
				
				return "Hallo Welt!";
			}
			
		     @Override
		     protected void process(List<Integer> chunks) 
		     {
		        Iterator<Integer> it = chunks.iterator();
		        while(it.hasNext())
		        {
		        	System.out.println("Erhalte: " + it.next());
		        }
		     }
			
			
		     @Override
		     protected void done() 
		     {
		    	 fertig.setText("fertig!");
		     }

			
		}
		
		JLabel fertig = new JLabel("unfertig");
		JProgressBar progressbar = new JProgressBar();
		
		MyFrame()
		{
			super("SwingWorker Beispiel");
			
			Container c = super.getContentPane(); 
			c.setLayout(new GridLayout(4,6));
			
			c.add(fertig);
			c.add(progressbar);
			
			Arbeiter arbeiter = new Arbeiter();
			arbeiter.addPropertyChangeListener(new PropertyChangeListener() {

				@Override
				public void propertyChange(PropertyChangeEvent evt) 
				{
					if(!evt.getPropertyName().equals("progress")) return; 
					Integer progress = (Integer) evt.getNewValue();
					progressbar.setValue(progress);
				}
				
			});
			
			arbeiter.execute();
		}
		
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); 
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				MyFrame f = new MyFrame();
				f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}			
		}
				
		);
	}
	
	
}