import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;


public class actionlistener extends JFrame 
{
	private static final long serialVersionUID = 1L;

	public actionlistener(String string) 
	{
		super(string);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); 
		Container c = super.getContentPane(); // c ist das Content Pane
		c.setLayout(null); // setzt auf kein Layout
		
		final JLabel text = new JLabel("Nichts gedrückt!"); // erstellt einen Label
		text.setSize(100,100);
		text.setLocation(50,50); 
		
		final JButton but = new JButton("Drück mich!");
		but.setSize(200,100);
		but.setLocation(300,50);
		c.add(text);
		c.add(but);
		
		but.addActionListener(new ActionListener()
		{
			int i = 0;
			@Override
			public void actionPerformed(ActionEvent e) {
				text.setText("Gedrückt! : " + (++i));
			}
		});
		
		pack();
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); // setzt den Stil auf Standard
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				actionlistener f = new actionlistener("PushButton");
				f.setVisible(true);
			}			
		}
				
		);
	}
}
