import java.awt.Container;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JRadioButton;
import javax.swing.JSpinner;
import javax.swing.JTextField;
import javax.swing.JToggleButton;
import javax.swing.SwingUtilities;


public class gridBagLayout
{
	static class MyFrame extends JFrame
	{
		private static final long serialVersionUID = 1L;

		
		MyFrame()
		{
			super("GridBagLayout Beispiel");
			
			Container c = super.getContentPane(); 
			c.setLayout(new GridBagLayout());
			
			GridBagConstraints f = new GridBagConstraints();
			
			f.fill = GridBagConstraints.BOTH; // widgets groesser machen
			f.ipadx = 5; f.ipady = 3;
			
			f.gridwidth = 4;
			f.gridheight = 1;
			f.gridx = 0;
			f.gridy = 0;
			c.add(new JButton("Lorem Ipsum"),f);
			
			f.gridwidth = 1;
			f.gridheight = 1;
			f.gridx = 1;
			f.gridy = 1;
			c.add(new JRadioButton("Lorem Ipsum"),f);
			
			f.gridwidth = 1;
			f.gridheight = 1;
			f.gridx = 2;
			f.gridy = 2;
			c.add(new JRadioButton("Lorem Ipsum"),f);
			
			f.gridwidth = 1;
			f.gridheight = 1;
			f.gridx = 3;
			f.gridy = 3;
			c.add(new JCheckBox("Lorem Ipsum"),f);
			
			f.gridwidth = 1;
			f.gridheight = 1;
			f.gridx = 4;
			f.gridy = 4;
			c.add(new JLabel("Lorem Ipsum"),f);
			
			f.gridwidth = 3;
			f.gridheight = 2;
			f.gridx = 3;
			f.gridy = 1;
			c.add(new JToggleButton("Lorem Ipsum"),f);
						
			f.gridwidth = 2;
			f.gridheight = 2;
			f.gridx = 0;
			f.gridy = 3;
			c.add(new JTextField("Lorem Ipsum"),f);
			
			f.gridwidth = 1;
			f.gridheight = 1;
			f.gridx = 0;
			f.gridy = 2;
			c.add(new JSpinner(),f);
			
		}
		
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); 
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				MyFrame f = new MyFrame();
				f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}			
		}
				
		);
	}
	
	
}