import java.awt.Canvas;
import java.awt.Color;
import java.awt.Container;
import java.awt.Graphics;

import javax.swing.BoxLayout;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;


public class paintAWT
{
	static class MyCanvas extends Canvas
	{
		private static final long serialVersionUID = 1L;
		
		@Override
		public void paint(Graphics g)
		{
			g.setColor(new Color(100,0,0));
			g.drawString("Hallo Welt!", 5, 50);
			g.setColor(new Color(40,40,255));
			g.drawArc(5, 10, 100, 200, 0, 90);
			g.setColor(new Color(0,255,0));
			g.drawLine(50, 50, 100, 100);
			
		}

	}
	
	static class MyFrame extends JFrame
	{
		private static final long serialVersionUID = 1L;

		
		MyFrame()
		{
			super("FlowLayout Beispiel");
			
			Container c = super.getContentPane(); 
			c.setLayout(new BoxLayout(c, BoxLayout.PAGE_AXIS)); // vertikales Boxlayout
			
			c.add(new MyCanvas());
			super.pack();
		}
		
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); 
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				MyFrame f = new MyFrame();
				f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}			
		}
				
		);
	}
	
	
}