
import java.awt.Color;
import java.awt.Container;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;
import java.net.MalformedURLException;
import java.net.URL;

import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;


public class paintSwing
{
	static class MyPanel extends JPanel
	{
		private static final long serialVersionUID = 1L;
		Image bild = null;
		MyPanel()
		{
			try 
			{
				// Asynchron: Waehrend das Bild geladen wird, koennen wir weiterarbeiten
				bild = Toolkit.getDefaultToolkit().createImage(new URL("http://upload.wikimedia.org/wikipedia/commons/thumb/4/43/Java_Topography.png/220px-Java_Topography.png"));
			} 
			catch (MalformedURLException e)
			{
				JOptionPane.showMessageDialog(this, e);
			}
		}
		@Override
		public void paintComponent(Graphics g)
		{
			if(bild == null) return;
			g.drawImage(bild, 0, 0, null);
			
			g.setColor(new Color(100,0,0));
			g.drawString("Hallo Welt!", 5, 50);
			g.setColor(new Color(40,40,255));
			g.drawArc(5, 10, 100, 200, 0, 90);
			g.setColor(new Color(0,255,0));
			g.drawLine(50, 50, 100, 100);
		}


	}
	
	static class MyFrame extends JFrame
	{
		private static final long serialVersionUID = 1L;

		
		MyFrame()
		{
			super("FlowLayout Beispiel");
			
			Container c = super.getContentPane(); 
			c.add(new MyPanel());
			super.pack();
		}
		
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); 
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				MyFrame f = new MyFrame();
				f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}			
		}
				
		);
	}
	
	
}