import java.awt.Container;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.ButtonGroup;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JRadioButton;
import javax.swing.SwingUtilities;


public class radioButton 
{
	static class MyFrame extends JFrame implements ItemListener
	{
		private static final long serialVersionUID = 1L;

		final JLabel text = new JLabel(); 
		
		MyFrame()
		{
			super("RadioButton Beispiel");
			
			Container c = super.getContentPane(); 
			c.setLayout(null); 
			
			
			
			text.setSize(300,100);
			text.setLocation(50,50); 
			c.add(text);
			
			ButtonGroup gruppe = new ButtonGroup();
			
			JRadioButton[] buttons = new JRadioButton[3];
			for(int i = 0; i < buttons.length; ++i)
			{
				buttons[i] = new JRadioButton(String.format("Knopf %d", i));
				buttons[i].setSize(200,20);
				buttons[i].setLocation(300,50+i*20);
				buttons[i].addItemListener(this);
				
				gruppe.add(buttons[i]);
				c.add(buttons[i]);
			}
			
			super.pack();
		}

		@Override
		public void itemStateChanged(ItemEvent e) 
		{
			JRadioButton button = (JRadioButton)e.getSource();
			text.setText( button.getText() + 
					(e.getStateChange() == ItemEvent.SELECTED ? " gehackelt" : " nicht gehackelt")
						);
			
		}
	}
	
	public static void main(String[] a)
	{
		JFrame.setDefaultLookAndFeelDecorated(true); 
		SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run() 
			{
				MyFrame f = new MyFrame();
				f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}			
		}
				
		);
	}
	
	
}